Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Nested Classes | Fields | Methods | Inherited Methods | [Expand All]
public final class

# Panorama

extends Object

java.lang.Object
↳ | com.google.android.gms.panorama.Panorama

## Class Overview

The main entry point for panorama integration.

## Summary

Nested Classes
interface | Panorama.PanoramaResult | Result interface for loading panorama info.

Fields
public static final Api | API | Token to pass to `addApi(Api)` to enable the Panorama features.

Public Methods
static PendingResult<Panorama.PanoramaResult> | loadPanoramaInfo(GoogleApiClient client, Uri uri) Loads information about a panorama.
static PendingResult<Panorama.PanoramaResult> | loadPanoramaInfoAndGrantAccess(GoogleApiClient client, Uri uri) Loads information about a panorama from a content provider.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Fields

#### public static final Api API

Token to pass to `addApi(Api)` to enable the Panorama features.

## Public Methods

#### public static PendingResult<Panorama.PanoramaResult> loadPanoramaInfo (GoogleApiClient client, Uri uri)

Loads information about a panorama.

##### Parameters

uri | the URI of the panorama to load info about. May be a file:, content:, or android_resource: scheme.

#### public static PendingResult<Panorama.PanoramaResult> loadPanoramaInfoAndGrantAccess (GoogleApiClient client, Uri uri)

Loads information about a panorama from a content provider. This method will also explicitly grant and revoke access to the URI while the load is happening so images in content providers may be inspected without giving permission to an entire content provider. The returned viewer intent will also have the `FLAG_GRANT_READ_URI_PERMISSION` set so the viewer has access.

##### Parameters

uri | the URI of the panorama to load info about. May only be a content: scheme.